package com.digiwin.athena.app.infra.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import com.digiwin.athena.opt.persistence.domain.BaseMgrEntity;
import com.google.gson.annotations.SerializedName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author CR-7
 * create: 2023-04-27 14:36
 * Description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "cim_sales_order_detail", autoResultMap = true)
public class SalesOrderDetailEntity extends BaseMgrEntity<SalesOrderDetailEntity> {


    /**
     * 订单单号
     */
    @SerializedName(value = "doc_no")
    private String docNo;

    /**
     * 序号
     */
    @SerializedName(value = "doc_seq")
    private String docSeq;

    /**
     * 品号
     */
    @SerializedName(value = "item_no")
    private String itemNo;

    /**
     * 品名
     */
    @SerializedName(value = "item_name")
    private String itemName;

    /**
     * 规格
     */
    @SerializedName(value = "item_spec")
    private String itemSpec;

    /**
     * 数量
     */
    @SerializedName(value = "qty")
    private Integer qty;

    /**
     * 仓库
     */
    @SerializedName(value = "warehouse_name")
    private String warehouseName;

    /**
     * 储位
     */
    @SerializedName(value = "storage_spaces_name")
    private String storageSpacesName;


    /**
     * 1.未检料;2.已检料
     */
    @SerializedName(value = "status")
    private Integer status;

}
