package com.digiwin.athena.app.infra.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.digiwin.athena.opt.persistence.domain.BaseMgrEntity;
import com.google.gson.annotations.SerializedName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 人资报道对象 cim_staff
 *
 * @author zhenggl
 * @date 2023-04-28
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "cim_staff", autoResultMap = true)
public class StaffEntity extends BaseMgrEntity<StaffEntity>
{
    private static final long serialVersionUID = 1L;


    /** 员工编号 */
    @SerializedName("employee_no")
    private String employeeNo;

    /** 员工名称 */
    @SerializedName("employee_name")
    private String employeeName;

    /** 员工英文名称 */
    @SerializedName("en_employee_name")
    private String enEmployeeName;

    /** 手机号码 */
    @SerializedName("mobile_no")
    private String mobileNo;

    /** 电子邮件 */
    @SerializedName("email")
    private String email;

    /** 状态 */
    @SerializedName("status")
    private Integer status = 1;

    /** 数据状态 */
    @SerializedName("tab_status")
    private Integer tabStatus = 0;

    /** 报道日期 */
    @SerializedName("register_date")
    private Date registerDate;


    /** 时间戳 */
    @SerializedName("timestamp")
    private String timestamp;


    public StaffEntity(Long id, String employeeNo) {
        this.id = id;
        this.employeeNo = employeeNo;
    }

    public StaffEntity(Long id) {
        this.id = id;
    }
}
