package com.digiwin.athena.app.provider;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.app.service.DWService;
import com.digiwin.app.service.eai.EAIService;
import com.digiwin.athena.app.service.staff.StaffUtil;

import java.util.Map;

/**
 * @Auther: zhenggl
 * @Date: 2023/4/28
 */
public interface StaffEAIService extends DWService {

    /**
     *   新人报道修改
     * @param headers
     * @param messageBody
     * @return
     * @throws Exception
     */
    @EAIService(id = StaffUtil.DEMO_WAIT_REGISTER_PERSONNEL_INFO_UPDATE)
    DWEAIResult update(Map<String, String> headers, String messageBody)  throws Exception;

    /**
     *   新人报道侦测
     * @param headers
     * @param messageBody
     * @return
     * @throws Exception
     */
    @EAIService(id = StaffUtil.DEMO_WAIT_REGISTER_PERSONNEL_INFO_GET)
    DWEAIResult get(Map<String, String> headers, String messageBody)  throws Exception;


    /**
     *   新人报道创建
     * @param headers
     * @param messageBody
     * @return
     * @throws Exception
     */
    @EAIService(id = StaffUtil.DEMO_WAIT_REGISTER_PERSONNEL_INFO_CREATE)
    DWEAIResult create(Map<String, String> headers, String messageBody)  throws Exception;
}
