/*
 * FileName: TestServiceImpl
 * Author:   DONGSK
 * Datetime: 2022/8/24 13:40
 * Description:
 * History:
 * 作者姓名 --修改时间 --版本号--描述
 */
package com.digiwin.athena.app.provider.impl;

import com.alibaba.fastjson.JSON;
import com.digiwin.app.service.DWServiceContext;
import com.digiwin.athena.app.provider.BasicApiService;
import com.digiwin.athena.opt.common.eai.service.EAIServiceContext;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

/**
 * TestServiceImpl
 *
 * @author DONGSK 2022/8/24 13:40
 * @since 1.0.0
 */
public class BasicApiServiceImpl implements BasicApiService {

    @Resource
    EAIServiceContext eaiServiceContext;

    @Override
    public String helloWord(String name) throws Exception {
        return "hello ," + name;
    }

    @Override
    public Object mockEAIExecutor(String serviceName, Map<String, Object> requestParameter) throws Exception {
        Map<String, String> headers = new HashMap<>();
        DWServiceContext.getContext().getRequestHeader().forEach((k, v) -> {
            headers.put(k, String.valueOf(v));
        });
        DWServiceContext.getContext().setStandardResult(false);
        /** 直接返回，不再包装，入参可以体现 serviceName
        Map<String, Object> eaiResult = new HashMap<>();
        eaiResult.put("service", serviceName);
        eaiResult.put("response", eaiServiceContext.execute(serviceName, headers, JSON.toJSONString(requestParameter)));
        */
        return  eaiServiceContext.execute(serviceName, headers, JSON.toJSONString(requestParameter));
    }
}
