/*
 * Author:   DONGSK
 * Datetime: 2023/1/30 10:18
 * Description:
 * History:
 * 作者姓名 --修改时间 --版本号--描述
 */
package com.digiwin.athena.app.provider.impl;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.provider.BasicEAIService;
import com.digiwin.athena.opt.common.eai.EAIRequest;
import com.digiwin.athena.opt.common.eai.EAIUtil;
import com.digiwin.athena.opt.common.eai.service.EAIServiceContext;
import org.apache.commons.lang3.StringUtils;

import javax.annotation.Resource;
import java.util.Map;

/**
 * BasicEAIApiServiceImpl
 *
 * @author DONGSK 2023/1/30 10:18
 * @since 1.0.0
 */
public class BasicEAIServiceImpl implements BasicEAIService {

    @Resource
    EAIServiceContext eaiServiceContext;

    @Override
    public DWEAIResult serviceProcess(Map<String, String> headers, String messageBody) throws Exception {


        EAIRequest eaiRequest = EAIRequest.build(messageBody);

        String eaiServiceName = eaiRequest.getString("eai_service_name");

        if (StringUtils.isBlank(eaiServiceName)) {

            return   EAIUtil.buildEAIResultError("EAI service name(eai_service_name) is required!");
        }

        return  eaiServiceContext.execute(eaiServiceName, headers, messageBody);
    }
}
