package com.digiwin.athena.app.service.order;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.infra.constant.ParameterConstant;
import com.digiwin.athena.app.infra.entity.SalesOrderDetailEntity;
import com.digiwin.athena.app.infra.service.SalesOrderDetailService;
import com.digiwin.athena.opt.common.eai.EAIRequest;
import com.digiwin.athena.opt.common.eai.EAIUtil;
import com.digiwin.athena.opt.common.eai.service.AbsEAIService;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author CR-7
 * create: 2023-04-27 15:35
 * Description:
 */
@Log4j2
@Service
public class SalesOrderDetailGetEAIService extends AbsEAIService {

    @Resource
    SalesOrderDetailService salesOrderDetailService;

    @Override
    public String getServiceName() {
        return SalesOrderDetailUtil.DEMO_SO_ITEM_INFO_GET;
    }

    @Override
    public DWEAIResult execute(Map<String, String> headers, String messageBody) throws Exception {
        EAIRequest request = EAIRequest.build(messageBody);

        // 两次开窗查询
        LambdaQueryWrapper queryWrapper;
        if(request.getParameter().get(ParameterConstant.OPTION).equals(ParameterConstant.SET_NUMBER)){
             queryWrapper = Wrappers.<SalesOrderDetailEntity>lambdaQuery()
                    .eq(SalesOrderDetailEntity::getTenantSid,0L);
        }else{
             queryWrapper = Wrappers.<SalesOrderDetailEntity>lambdaQuery()
                    .eq(SalesOrderDetailEntity::getTenantSid,1L);
        }

        List<SalesOrderDetailEntity> list = salesOrderDetailService.list(queryWrapper);

        return EAIUtil.buildEAIResult(new JSONObject().fluentPut("sales_order_detail",list));
    }
}
