-- --------------------------------------------------------
-- 主机:                           172.16.102.34
-- 服务器版本:                        5.7.38 - MySQL Community Server (GPL)
-- 服务器操作系统:                      Win64
-- HeidiSQL 版本:                  12.3.0.6589
-- --------------------------------------------------------


-- 导出  表 ca-cim-ap.dw_app_prod 结构
CREATE TABLE IF NOT EXISTS `dw_app_prod` (
  `app_code` varchar(20) COLLATE utf8_bin NOT NULL COMMENT '應用產品線代碼',
  `description` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '說明資料',
  PRIMARY KEY (`app_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='應用產品線';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_app_release 结构
CREATE TABLE IF NOT EXISTS `dw_app_release` (
  `app_code` varchar(20) COLLATE utf8_bin NOT NULL COMMENT '應用產品線代碼',
  `version` varchar(20) COLLATE utf8_bin NOT NULL COMMENT '版號',
  `file_seq` int(10) NOT NULL COMMENT '檔案序號',
  `file_id` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '放在文檔中心的檔案id',
  `published` varchar(1) COLLATE utf8_bin NOT NULL COMMENT '正式發布',
  `file_name` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '放在文檔中心的檔案名稱',
  PRIMARY KEY (`app_code`,`version`,`file_seq`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='應用版本發布與釋出';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_app_update 结构
CREATE TABLE IF NOT EXISTS `dw_app_update` (
  `app_code` varchar(20) COLLATE utf8_bin NOT NULL COMMENT '應用產品線代碼',
  `version` varchar(20) COLLATE utf8_bin NOT NULL COMMENT '版號',
  `allow_upd_version` varchar(2000) COLLATE utf8_bin NOT NULL COMMENT '允許版更的版本列表[分號分隔]',
  `allow_upd_expr` varchar(20) COLLATE utf8_bin NOT NULL COMMENT '允許版更的版本表達式',
  PRIMARY KEY (`app_code`,`version`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='應用更新版本對應';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_custom_column 结构
CREATE TABLE IF NOT EXISTS `dw_custom_column` (
  `tenantsid` bigint(20) NOT NULL COMMENT '租戶sid',
  `table_id` varchar(50) COLLATE utf8_bin NOT NULL COMMENT '表格id',
  `userid` varchar(50) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '用戶id',
  `config` text COLLATE utf8_bin COMMENT '配置內容',
  PRIMARY KEY (`tenantsid`,`table_id`,`userid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_log_operation 结构
CREATE TABLE IF NOT EXISTS `dw_log_operation` (
  `log_id` varchar(50) COLLATE utf8_bin NOT NULL COMMENT '主键',
  `operate_no` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '操作流水號',
  `operate_type` varchar(20) COLLATE utf8_bin DEFAULT NULL COMMENT '操作類型(1:pc 2：pda)',
  `operate_desc` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '操作名稱',
  `menu` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '選單菜單',
  `module` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '模組',
  `url` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT '接口路徑',
  `input_value` text COLLATE utf8_bin COMMENT '操作接口入参',
  `return_value` text COLLATE utf8_bin COMMENT '操作接口回參',
  `client_ip` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '客户端ip',
  `time_consume` bigint(20) DEFAULT NULL COMMENT '本次操作耗時(ms)',
  `status` tinyint(4) DEFAULT NULL COMMENT '操作狀態',
  `remark` text COLLATE utf8_bin COMMENT '備註',
  `create_name` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '創建人',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '創建時間',
  `update_name` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新時間',
  `traceid` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '追蹤鍵',
  `tenantsid` bigint(20) NOT NULL COMMENT '租戶sid',
  PRIMARY KEY (`log_id`,`tenantsid`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=COMPACT COMMENT='操作日誌';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_log_operation_error 结构
CREATE TABLE IF NOT EXISTS `dw_log_operation_error` (
  `log_id` varchar(50) COLLATE utf8_bin NOT NULL COMMENT '主键',
  `operate_no` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '操作流水號',
  `operate_type` varchar(20) COLLATE utf8_bin DEFAULT NULL COMMENT '操作類型(1:pc 2：pda)',
  `operate_desc` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '操作名稱',
  `error_type` varchar(100) COLLATE utf8_bin DEFAULT NULL COMMENT '異常类型(1:系统異常 2:操作異常 3:集成異常)',
  `error_message` varchar(2000) COLLATE utf8_bin DEFAULT NULL COMMENT '異常資訊',
  `menu` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '選單菜單',
  `module` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '模組',
  `url` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT '接口路徑',
  `input_value` varchar(5000) COLLATE utf8_bin DEFAULT NULL COMMENT '操作接口入参',
  `client_ip` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '客户端ip',
  `time_consume` bigint(20) DEFAULT NULL COMMENT '本次操作耗時(ms)',
  `create_name` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '創建人',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '創建時間',
  `update_name` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新時間',
  `traceid` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '追蹤鍵',
  `prog_impl` varchar(200) COLLATE utf8_bin DEFAULT NULL COMMENT '代碼方法',
  `tenantsid` bigint(20) NOT NULL COMMENT '租戶sid',
  PRIMARY KEY (`log_id`,`tenantsid`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=COMPACT COMMENT='操作異常日誌';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_log_operation_sql 结构
CREATE TABLE IF NOT EXISTS `dw_log_operation_sql` (
  `log_id` varchar(50) COLLATE utf8_bin NOT NULL COMMENT '主键',
  `operation_log_id` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '關聯日誌表id',
  `log_type` tinyint(4) DEFAULT '1' COMMENT '日誌類型(1.操作日誌  2.調度日誌)',
  `cmd_table` varchar(100) COLLATE utf8_bin DEFAULT NULL COMMENT '執行表名(预留，還可以加操作)',
  `cmd_statement` longtext COLLATE utf8_bin COMMENT '執行語句',
  `cmd_parameters` longtext COLLATE utf8_bin COMMENT '執行參數',
  `cmd_seq` int(11) DEFAULT NULL COMMENT '執行顺序',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '創建時間',
  `tenantsid` bigint(20) NOT NULL COMMENT '租戶sid',
  PRIMARY KEY (`log_id`,`tenantsid`) USING BTREE,
  KEY `SEL_INDEX01` (`operation_log_id`,`tenantsid`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=COMPACT COMMENT='sql日誌';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_menu 结构
CREATE TABLE IF NOT EXISTS `dw_menu` (
  `id` varchar(100) COLLATE utf8_bin NOT NULL COMMENT '編號',
  `type` varchar(50) COLLATE utf8_bin NOT NULL COMMENT '型態',
  `parent_id` varchar(100) COLLATE utf8_bin DEFAULT NULL COMMENT '父層編號',
  `code` varchar(200) COLLATE utf8_bin DEFAULT NULL COMMENT '代碼',
  `sequence` int(20) NOT NULL DEFAULT '1' COMMENT '順序',
  `icon_class` varchar(200) COLLATE utf8_bin DEFAULT NULL COMMENT '圖示class',
  `default_expand` bit(1) DEFAULT b'0' COMMENT '默認展開',
  `url` varchar(2000) COLLATE utf8_bin DEFAULT NULL COMMENT 'URL',
  `open_mode` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT 'open 模式',
  `version` int(20) NOT NULL DEFAULT '1' COMMENT '版本',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='菜單主表';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_menu_language 结构
CREATE TABLE IF NOT EXISTS `dw_menu_language` (
  `menu_id` varchar(100) COLLATE utf8_bin NOT NULL COMMENT '菜單編號',
  `language` varchar(50) COLLATE utf8_bin NOT NULL COMMENT '語言別',
  `name` varchar(200) COLLATE utf8_bin DEFAULT NULL COMMENT '名稱',
  PRIMARY KEY (`menu_id`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='菜單多語言信息表';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_menu_parameter 结构
CREATE TABLE IF NOT EXISTS `dw_menu_parameter` (
  `menu_id` varchar(100) COLLATE utf8_bin NOT NULL COMMENT '菜單編號',
  `name` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '參數名稱',
  `value` varchar(200) COLLATE utf8_bin DEFAULT NULL COMMENT '值',
  PRIMARY KEY (`menu_id`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='菜單參數表';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_myhome 结构
CREATE TABLE IF NOT EXISTS `dw_myhome` (
  `tenantsid` bigint(20) NOT NULL COMMENT '租戶sid',
  `level` varchar(255) COLLATE utf8_bin NOT NULL COMMENT '首頁層級,common/user',
  `userid` varchar(40) COLLATE utf8_bin NOT NULL COMMENT '用戶id',
  `version` int(11) NOT NULL DEFAULT '1' COMMENT '版本',
  `type` varchar(20) COLLATE utf8_bin DEFAULT NULL COMMENT '首頁型態,作業/報表/外部連接',
  `path` varchar(2000) COLLATE utf8_bin DEFAULT NULL COMMENT '作業/報表/外部連接路徑',
  PRIMARY KEY (`tenantsid`,`userid`,`level`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='自定義首頁主表';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_myhome_parameter 结构
CREATE TABLE IF NOT EXISTS `dw_myhome_parameter` (
  `tenantsid` bigint(20) NOT NULL COMMENT '租戶sid',
  `level` varchar(255) COLLATE utf8_bin NOT NULL COMMENT '首頁層級,common/user',
  `userid` varchar(100) COLLATE utf8_bin NOT NULL COMMENT '用戶id',
  `name` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '參數名稱',
  `value` varchar(200) COLLATE utf8_bin DEFAULT NULL COMMENT '參數值',
  PRIMARY KEY (`tenantsid`,`userid`,`level`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='自定義首頁參數表';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_platform_info 结构
CREATE TABLE IF NOT EXISTS `dw_platform_info` (
  `version` varchar(45) COLLATE utf8_bin DEFAULT NULL COMMENT '版號',
  `isTenant` varchar(10) COLLATE utf8_bin DEFAULT NULL COMMENT '是否為多租戶',
  `versionDate` varchar(10) COLLATE utf8_bin DEFAULT NULL COMMENT '版本日期',
  `updateDate` varchar(10) COLLATE utf8_bin DEFAULT NULL COMMENT '更新日期'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='微服務平台版本資訊';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_query_info 结构
CREATE TABLE IF NOT EXISTS `dw_query_info` (
  `query_id` varchar(45) COLLATE utf8_bin NOT NULL COMMENT '查詢編號',
  `query_type` varchar(45) COLLATE utf8_bin DEFAULT NULL COMMENT '類型',
  `sql_statement` varchar(450) COLLATE utf8_bin DEFAULT NULL COMMENT 'sql',
  `publish` varchar(45) COLLATE utf8_bin DEFAULT NULL COMMENT '發佈者',
  `owner` varchar(45) COLLATE utf8_bin DEFAULT NULL COMMENT '擁有者',
  PRIMARY KEY (`query_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='開窗信息主表';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_rdbms_fields 结构
CREATE TABLE IF NOT EXISTS `dw_rdbms_fields` (
  `TABLE_NAME` varchar(80) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '数据表名称',
  `SEQ` smallint(5) unsigned NOT NULL COMMENT '项次',
  `FIELD_NAME` varchar(80) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '字段编号',
  `IS_KEY` varchar(1) COLLATE utf8_bin NOT NULL DEFAULT 'N' COMMENT '主键否',
  `FIELD_TYPE` varchar(20) COLLATE utf8_bin DEFAULT '' COMMENT '字段型态，备注：1.varchar;2.number;3.date;4.datetime',
  `STATUS_CODE` varchar(1) COLLATE utf8_bin NOT NULL DEFAULT 'Y' COMMENT '状态码:Y.有效；N.无效；',
  `FIELD_DISPLAY_NAME` varchar(80) COLLATE utf8_bin DEFAULT '' COMMENT '字段名称',
  `SCALE` varchar(20) COLLATE utf8_bin DEFAULT '' COMMENT '字段长度',
  `DEFAULT_VALUE` varchar(50) COLLATE utf8_bin DEFAULT '' COMMENT '默认值',
  `NULLABLE` varchar(1) COLLATE utf8_bin NOT NULL DEFAULT 'N' COMMENT '可否為空',
  `IS_VERSION` varchar(1) COLLATE utf8_bin NOT NULL DEFAULT 'N' COMMENT '是否需要依version進行樂觀鎖',
  `SIZE` varchar(20) COLLATE utf8_bin DEFAULT NULL COMMENT '長度',
  `IS_AUTO_INCREMENT` varchar(1) COLLATE utf8_bin NOT NULL DEFAULT 'N' COMMENT '是否為自動產生流水號',
  PRIMARY KEY (`FIELD_NAME`,`TABLE_NAME`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='数据结构资料表';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_rdbms_relations 结构
CREATE TABLE IF NOT EXISTS `dw_rdbms_relations` (
  `PRIMARY_TABLE_NO` varchar(80) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '来源表号',
  `REFERENCE_TABLE_NO` varchar(80) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '参照表号',
  `PRIMARY_TABLE_PK` varchar(45) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '来源表PK',
  `REFERENCE_TABLE_PK` varchar(45) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '参照表PK',
  `TYPE` enum('Auto','OneToOne','OneToMany','ManyToMany') COLLATE utf8_bin DEFAULT NULL COMMENT '關聯類型',
  PRIMARY KEY (`PRIMARY_TABLE_NO`,`REFERENCE_TABLE_NO`,`PRIMARY_TABLE_PK`,`REFERENCE_TABLE_PK`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='资料表关系表';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_rdbms_tables 结构
CREATE TABLE IF NOT EXISTS `dw_rdbms_tables` (
  `table_name` varchar(45) COLLATE utf8_bin NOT NULL COMMENT '资料表名',
  `table_display_name` varchar(45) COLLATE utf8_bin DEFAULT NULL COMMENT '资料表外显名称',
  `table_description` varchar(200) COLLATE utf8_bin DEFAULT NULL COMMENT '资料表描述',
  `delete_constraint` varchar(1) COLLATE utf8_bin NOT NULL DEFAULT 'N' COMMENT '資料表刪除約束',
  `hint_field` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '資料表刪除提示字段',
  `insert_default_value` varchar(1) COLLATE utf8_bin DEFAULT NULL COMMENT '新增帶默認值選項',
  `update_default_value` varchar(1) COLLATE utf8_bin DEFAULT NULL COMMENT '修改帶默認值選項',
  PRIMARY KEY (`table_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='数据库资料表描述表';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_schedule 结构
CREATE TABLE IF NOT EXISTS `dw_schedule` (
  `schedule_id` varchar(50) COLLATE utf8_bin NOT NULL COMMENT '排程編號',
  `schedule_name` varchar(50) COLLATE utf8_bin DEFAULT '' COMMENT '排程名稱',
  `job_name` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '工作名稱',
  `schedule_type` varchar(1) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '排程類型 1.指定時間背景執行 2.周期執行',
  `enable_status` varchar(1) COLLATE utf8_bin NOT NULL DEFAULT 'Y' COMMENT '啟用狀態 Y/N',
  `description` varchar(100) COLLATE utf8_bin DEFAULT NULL COMMENT '描述',
  `effective_time` timestamp NULL DEFAULT NULL COMMENT '排程生效時間',
  `expire_time` timestamp NULL DEFAULT NULL COMMENT '排程失效時間',
  `max_runtime` int(10) DEFAULT NULL COMMENT '最長執行時間(分鐘)',
  `schedule_param` text COLLATE utf8_bin COMMENT '參數',
  `recent_status` varchar(255) COLLATE utf8_bin DEFAULT '' COMMENT '近期狀態',
  `last_success_time` timestamp NULL DEFAULT NULL COMMENT '上次成功時間',
  `last_period_time` int(10) DEFAULT NULL COMMENT '上次執行時間',
  `next_execute_time` timestamp NULL DEFAULT NULL COMMENT '下次執行時間',
  `program_code` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '作業編號',
  `tenantsid` bigint(20) NOT NULL COMMENT '租戶sid',
  `module_name` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '模組名稱',
  PRIMARY KEY (`schedule_id`,`tenantsid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='排程表';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_schedule_contact 结构
CREATE TABLE IF NOT EXISTS `dw_schedule_contact` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT '編號',
  `schedule_id` varchar(50) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '排程編號',
  `mail_type` varchar(10) COLLATE utf8_bin DEFAULT NULL COMMENT '寄件形式',
  `mail_subject` varchar(255) COLLATE utf8_bin DEFAULT '' COMMENT '寄件主題',
  `mail_content` varchar(255) COLLATE utf8_bin DEFAULT '' COMMENT '寄件內容',
  `receiver_email` varchar(255) COLLATE utf8_bin DEFAULT '' COMMENT '收件人email地址',
  `send_condition` varchar(50) COLLATE utf8_bin DEFAULT '' COMMENT '寄信條件',
  `tenantsid` bigint(20) NOT NULL COMMENT '租戶sid',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='排程寄信通知表';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_schedule_record 结构
CREATE TABLE IF NOT EXISTS `dw_schedule_record` (
  `execute_id` varchar(128) COLLATE utf8_bin NOT NULL COMMENT '執行編號',
  `schedule_id` varchar(50) COLLATE utf8_bin NOT NULL COMMENT '排程編號',
  `job_name` varchar(50) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '工作名稱',
  `execute_status` varchar(10) COLLATE utf8_bin DEFAULT '' COMMENT '執行狀態 ',
  `message` text COLLATE utf8_bin COMMENT '訊息id',
  `message_detail` text COLLATE utf8_bin COMMENT '詳細訊息',
  `start_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '執行開始時間',
  `end_time` timestamp NULL DEFAULT NULL COMMENT '執行結束時間',
  `schedule_param` text COLLATE utf8_bin COMMENT '執行參數',
  `schedule_type` varchar(1) COLLATE utf8_bin DEFAULT '' COMMENT '排程類型 1.指定時間背景執行 2.周期執行',
  `is_misfire` varchar(1) COLLATE utf8_bin DEFAULT 'N' COMMENT '是否為misfire後重試',
  `program_code` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '作業編號',
  `schedule_name` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '排程名稱',
  `executor` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '執行者',
  `tenantsid` bigint(20) NOT NULL COMMENT '租戶sid',
  PRIMARY KEY (`execute_id`,`tenantsid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='排程執行記錄';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_schedule_time 结构
CREATE TABLE IF NOT EXISTS `dw_schedule_time` (
  `schedule_id` varchar(50) COLLATE utf8_bin NOT NULL COMMENT '執行編號',
  `month` varchar(255) COLLATE utf8_bin DEFAULT '' COMMENT '月份',
  `week_of_month` varchar(255) COLLATE utf8_bin DEFAULT '' COMMENT '每個月第幾個星期',
  `week` varchar(255) COLLATE utf8_bin DEFAULT '' COMMENT '星期幾',
  `day_of_month` varchar(255) COLLATE utf8_bin DEFAULT NULL COMMENT '每個月第幾天',
  `assign_time` varchar(255) COLLATE utf8_bin DEFAULT '' COMMENT '指定時間',
  `time` varchar(255) COLLATE utf8_bin DEFAULT NULL COMMENT '週期性指定時間',
  `holiday` varchar(255) COLLATE utf8_bin DEFAULT NULL COMMENT '假日處理模式',
  `time1` varchar(255) COLLATE utf8_bin DEFAULT '' COMMENT '時間區間一',
  `time2` varchar(255) COLLATE utf8_bin DEFAULT '' COMMENT '時間區間二',
  `time3` varchar(255) COLLATE utf8_bin DEFAULT '' COMMENT '時間區間三',
  `is_allow_concurrent` varchar(1) COLLATE utf8_bin DEFAULT '' COMMENT '是否允許併發 Y/N',
  `day_radio` varchar(1) COLLATE utf8_bin DEFAULT NULL COMMENT '日頻次',
  `month_radio` varchar(1) COLLATE utf8_bin DEFAULT NULL COMMENT '月頻次',
  `time_radio` varchar(1) COLLATE utf8_bin DEFAULT NULL COMMENT '時間頻次',
  `week_radio` varchar(1) COLLATE utf8_bin DEFAULT NULL COMMENT '周頻次',
  `frequency` int(10) DEFAULT NULL COMMENT '週期頻率',
  `repeat_type` int(10) DEFAULT NULL COMMENT '區間類型  1.每幾分 2.每幾小時 3.每幾天',
  `start_time` timestamp NULL DEFAULT NULL COMMENT '開始日期',
  `end_time` timestamp NULL DEFAULT NULL COMMENT '結束日期',
  `repeat_count` int(11) DEFAULT NULL COMMENT '執行次數',
  `minutely` int(10) DEFAULT NULL COMMENT '每n分',
  `hourly` int(10) DEFAULT NULL COMMENT '每n時',
  `daily` int(10) DEFAULT NULL COMMENT '每n天',
  `weekly` int(10) DEFAULT NULL COMMENT '每n週',
  `byday` varchar(255) COLLATE utf8_bin DEFAULT NULL COMMENT '星期n',
  `monthly` int(10) DEFAULT NULL COMMENT '每n月',
  `bymonthday` varchar(255) COLLATE utf8_bin DEFAULT NULL COMMENT '當月中的第n天',
  `byweeklyday` varchar(255) COLLATE utf8_bin DEFAULT NULL COMMENT '當月中的第n個星期m',
  `exclude_date` varchar(255) COLLATE utf8_bin DEFAULT NULL COMMENT '例外日期',
  `exclude_time` varchar(255) COLLATE utf8_bin DEFAULT NULL COMMENT '例外時間',
  `retry_after_misfire_sec` int(10) DEFAULT NULL COMMENT 'misfire幾秒後重試',
  `is_retry` varchar(1) COLLATE utf8_bin NOT NULL DEFAULT 'Y' COMMENT '是否在misfire後重試',
  `tenantsid` bigint(20) NOT NULL COMMENT '租戶sid',
  PRIMARY KEY (`schedule_id`,`tenantsid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='排程執行時間設定檔';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_theme 结构
CREATE TABLE IF NOT EXISTS `dw_theme` (
  `tenantsid` bigint(20) NOT NULL COMMENT '租戶sid',
  `prop` varchar(50) COLLATE utf8_bin NOT NULL COMMENT '屬性key名稱',
  `value` varchar(500) COLLATE utf8_bin DEFAULT NULL COMMENT '屬性值',
  `userid` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT '用戶id',
  PRIMARY KEY (`tenantsid`,`prop`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_theme_filelog 结构
CREATE TABLE IF NOT EXISTS `dw_theme_filelog` (
  `fileid` varchar(50) COLLATE utf8mb4_bin NOT NULL COMMENT '文件ID(DMC)',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '創建時間',
  `messege` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '描述',
  PRIMARY KEY (`fileid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.dw_ui_metadata 结构
CREATE TABLE IF NOT EXISTS `dw_ui_metadata` (
  `operation_id` varchar(80) COLLATE utf8_bin NOT NULL COMMENT 'ui編號',
  `table_name` varchar(45) COLLATE utf8_bin NOT NULL COMMENT '表名稱',
  `field_id` varchar(45) COLLATE utf8_bin NOT NULL COMMENT '字段名稱',
  `length` int(11) DEFAULT NULL COMMENT '長度',
  `nullable` varchar(45) COLLATE utf8_bin DEFAULT NULL COMMENT '允許為null',
  `format` varchar(80) COLLATE utf8_bin DEFAULT NULL COMMENT '格式',
  `enum` varchar(80) COLLATE utf8_bin DEFAULT NULL COMMENT '枚舉值',
  `resource` varchar(200) COLLATE utf8_bin DEFAULT NULL COMMENT '來源',
  PRIMARY KEY (`operation_id`,`table_name`,`field_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='使用者介面元數據';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.qrtz_job_details 结构
CREATE TABLE IF NOT EXISTS `qrtz_job_details` (
    `SCHED_NAME` varchar(120) COLLATE utf8_bin NOT NULL COMMENT '计划名称',
    `JOB_NAME` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '作业名称',
    `JOB_GROUP` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '作业组',
    `DESCRIPTION` varchar(250) COLLATE utf8_bin DEFAULT NULL COMMENT '描述',
    `JOB_CLASS_NAME` varchar(250) COLLATE utf8_bin NOT NULL COMMENT '作业程序集名称',
    `IS_DURABLE` varchar(1) COLLATE utf8_bin NOT NULL COMMENT '是否持久',
    `IS_NONCONCURRENT` varchar(1) COLLATE utf8_bin NOT NULL COMMENT '是否并行',
    `IS_UPDATE_DATA` varchar(1) COLLATE utf8_bin NOT NULL COMMENT '是否更新',
    `REQUESTS_RECOVERY` varchar(1) COLLATE utf8_bin NOT NULL COMMENT '是否要求唤醒',
    `JOB_DATA` blob COMMENT '作业信息',
    PRIMARY KEY (`SCHED_NAME`,`JOB_NAME`,`JOB_GROUP`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='job詳息信息';


-- 导出  表 ca-cim-ap.qrtz_triggers 结构
CREATE TABLE IF NOT EXISTS `qrtz_triggers` (
    `SCHED_NAME` varchar(120) COLLATE utf8_bin NOT NULL COMMENT '计划名称',
    `TRIGGER_NAME` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '触发器名称',
    `TRIGGER_GROUP` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '触发器组',
    `JOB_NAME` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '作业名称',
    `JOB_GROUP` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '作业组',
    `DESCRIPTION` varchar(250) COLLATE utf8_bin DEFAULT NULL COMMENT '描述',
    `NEXT_FIRE_TIME` bigint(13) DEFAULT NULL COMMENT '下次执行时间',
    `PREV_FIRE_TIME` bigint(13) DEFAULT NULL COMMENT '前一次执行时间',
    `PRIORITY` int(11) DEFAULT NULL COMMENT '优先权',
    `TRIGGER_STATE` varchar(16) COLLATE utf8_bin NOT NULL COMMENT '触发器状态',
    `TRIGGER_TYPE` varchar(8) COLLATE utf8_bin NOT NULL COMMENT '触发器类型',
    `START_TIME` bigint(13) NOT NULL COMMENT '开始时间',
    `END_TIME` bigint(13) DEFAULT NULL COMMENT '结束时间',
    `CALENDAR_NAME` varchar(200) COLLATE utf8_bin DEFAULT NULL COMMENT '日历名称',
    `MISFIRE_INSTR` smallint(2) DEFAULT NULL COMMENT '失败次数',
    `JOB_DATA` blob COMMENT '作业数据',
    PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`),
    KEY `SCHED_NAME` (`SCHED_NAME`,`JOB_NAME`,`JOB_GROUP`),
    CONSTRAINT `qrtz_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`) REFERENCES `qrtz_job_details` (`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='触发器的基本信息';



-- 导出  表 ca-cim-ap.qrtz_blob_triggers 结构
CREATE TABLE IF NOT EXISTS `qrtz_blob_triggers` (
  `SCHED_NAME` varchar(120) COLLATE utf8_bin NOT NULL COMMENT '计划名称',
  `TRIGGER_NAME` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '触发器名称',
  `TRIGGER_GROUP` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '触发器组',
  `BLOB_DATA` blob COMMENT '保存triggers一些信息',
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`),
  CONSTRAINT `qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='自定义触发器';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.qrtz_calendars 结构
CREATE TABLE IF NOT EXISTS `qrtz_calendars` (
  `SCHED_NAME` varchar(120) COLLATE utf8_bin NOT NULL COMMENT '计划名称',
  `CALENDAR_NAME` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '触发器名称',
  `CALENDAR` blob NOT NULL COMMENT '日曆信息',
  PRIMARY KEY (`SCHED_NAME`,`CALENDAR_NAME`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='日曆資訊';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.qrtz_cron_triggers 结构
CREATE TABLE IF NOT EXISTS `qrtz_cron_triggers` (
  `SCHED_NAME` varchar(120) COLLATE utf8_bin NOT NULL COMMENT '计划名称',
  `TRIGGER_NAME` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '触发器名称',
  `TRIGGER_GROUP` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '触发器组',
  `CRON_EXPRESSION` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '时间表达式',
  `TIME_ZONE_ID` varchar(80) COLLATE utf8_bin DEFAULT NULL COMMENT '时区ID',
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`),
  CONSTRAINT `qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='存储 Cron Trigger，包括Cron表达式和时区信息';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.qrtz_fired_triggers 结构
CREATE TABLE IF NOT EXISTS `qrtz_fired_triggers` (
  `SCHED_NAME` varchar(120) COLLATE utf8_bin NOT NULL COMMENT '计划名称',
  `ENTRY_ID` varchar(95) COLLATE utf8_bin NOT NULL COMMENT '组标识',
  `TRIGGER_NAME` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '触发器名称',
  `TRIGGER_GROUP` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '触发器组',
  `INSTANCE_NAME` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '当前实例的名称',
  `FIRED_TIME` bigint(13) NOT NULL COMMENT '当前执行时间',
  `SCHED_TIME` decimal(28,0) DEFAULT NULL COMMENT '计划时间',
  `PRIORITY` int(11) NOT NULL COMMENT '权重',
  `STATE` varchar(16) COLLATE utf8_bin NOT NULL COMMENT '状态',
  `JOB_NAME` varchar(200) COLLATE utf8_bin DEFAULT NULL COMMENT '作业名称',
  `JOB_GROUP` varchar(200) COLLATE utf8_bin DEFAULT NULL COMMENT '作业组',
  `IS_NONCONCURRENT` varchar(1) COLLATE utf8_bin DEFAULT NULL COMMENT '是否并行',
  `REQUESTS_RECOVERY` varchar(1) COLLATE utf8_bin DEFAULT NULL COMMENT '是否要求唤醒',
  PRIMARY KEY (`SCHED_NAME`,`ENTRY_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='保存已经触发的触发器状态信息';



-- 导出  表 ca-cim-ap.qrtz_locks 结构
CREATE TABLE IF NOT EXISTS `qrtz_locks` (
  `SCHED_NAME` varchar(120) COLLATE utf8_bin NOT NULL COMMENT '计划名称',
  `LOCK_NAME` varchar(40) COLLATE utf8_bin NOT NULL COMMENT '锁名称',
  PRIMARY KEY (`SCHED_NAME`,`LOCK_NAME`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='存储程序的悲观锁的信息';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.qrtz_paused_trigger_grps 结构
CREATE TABLE IF NOT EXISTS `qrtz_paused_trigger_grps` (
  `SCHED_NAME` varchar(120) COLLATE utf8_bin NOT NULL COMMENT '计划名称',
  `TRIGGER_GROUP` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '触发器组',
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='存放暂停掉的触发器';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.qrtz_scheduler_state 结构
CREATE TABLE IF NOT EXISTS `qrtz_scheduler_state` (
  `SCHED_NAME` varchar(120) COLLATE utf8_bin NOT NULL COMMENT '计划名称',
  `INSTANCE_NAME` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '实例名称',
  `LAST_CHECKIN_TIME` bigint(13) NOT NULL COMMENT '最后的检查时间',
  `CHECKIN_INTERVAL` bigint(13) NOT NULL COMMENT '检查间隔',
  PRIMARY KEY (`SCHED_NAME`,`INSTANCE_NAME`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='存储少量的有关 Scheduler 的状态信息，和别的Scheduler实例';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.qrtz_simple_triggers 结构
CREATE TABLE IF NOT EXISTS `qrtz_simple_triggers` (
  `SCHED_NAME` varchar(120) COLLATE utf8_bin NOT NULL COMMENT '计划名称',
  `TRIGGER_NAME` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '触发器名称',
  `TRIGGER_GROUP` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '触发器组',
  `REPEAT_COUNT` bigint(7) NOT NULL COMMENT '重复次数',
  `REPEAT_INTERVAL` bigint(12) NOT NULL COMMENT '重复间隔',
  `TIMES_TRIGGERED` bigint(10) NOT NULL COMMENT '触发次数',
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`),
  CONSTRAINT `qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='存储简单的Trigger，包括重复次数，间隔，以及已触的次数';

-- 数据导出被取消选择。

-- 导出  表 ca-cim-ap.qrtz_simprop_triggers 结构
CREATE TABLE IF NOT EXISTS `qrtz_simprop_triggers` (
  `SCHED_NAME` varchar(120) COLLATE utf8_bin NOT NULL COMMENT '计划名称',
  `TRIGGER_NAME` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '触发器名称',
  `TRIGGER_GROUP` varchar(200) COLLATE utf8_bin NOT NULL COMMENT '触发器组',
  `STR_PROP_1` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT 'String參數1',
  `STR_PROP_2` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT 'String參數2',
  `STR_PROP_3` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT 'String參數3',
  `INT_PROP_1` int(11) DEFAULT NULL COMMENT 'Integer參數1',
  `INT_PROP_2` int(11) DEFAULT NULL COMMENT 'Integer參數2',
  `LONG_PROP_1` bigint(20) DEFAULT NULL COMMENT 'Long參數1',
  `LONG_PROP_2` bigint(20) DEFAULT NULL COMMENT 'Long參數2',
  `DEC_PROP_1` decimal(13,4) DEFAULT NULL COMMENT 'Decimal參數1',
  `DEC_PROP_2` decimal(13,4) DEFAULT NULL COMMENT 'Decimal參數2',
  `BOOL_PROP_1` varchar(1) COLLATE utf8_bin DEFAULT NULL COMMENT 'Boolean參數1',
  `BOOL_PROP_2` varchar(1) COLLATE utf8_bin DEFAULT NULL COMMENT 'Boolean參數2',
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`),
  CONSTRAINT `qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='存储简单的Trigger屬性信息';

-- 数据导出被取消选择。
-- 导出  表 ca-cim-ap.undo_log 结构
CREATE TABLE IF NOT EXISTS `undo_log` (
  `branch_id` bigint(20) NOT NULL COMMENT 'branch transaction id',
  `xid` varchar(100) NOT NULL COMMENT 'global transaction id',
  `context` varchar(128) NOT NULL COMMENT 'undo_log context,such as serialization',
  `rollback_info` longblob NOT NULL COMMENT 'rollback info',
  `log_status` int(11) NOT NULL COMMENT '0:normal status,1:defense status',
  `log_created` datetime(6) NOT NULL COMMENT 'create datetime',
  `log_modified` datetime(6) NOT NULL COMMENT 'modify datetime',
  UNIQUE KEY `ux_undo_log` (`xid`,`branch_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='AT transaction mode undo table';

-- 数据导出被取消选择。
