
 -- 订单明细表
create table `cim_sales_order_detail` (
  `id` bigint(20)  not null comment '主键',
  `doc_no` varchar(12) default null comment '订单单号',
  `doc_seq` varchar(255) default null comment '序号',
  `item_no` varchar(12) default null comment '品号',
  `item_name` varchar(255) default null comment '品名',
  `item_spec` varchar(255) default null comment '规格',
  `qty` int(4) default null comment '数量',
  `warehouse_name` varchar(255) default null comment '仓库',
  `storage_spaces_name` varchar(255) default null comment '储位',
  `status` int(1) default null comment '1.未检料;2.已检料',
  `tenantsid` int(1) default null comment '租户sid',
  `tenant_id` varchar(20) DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `modified_by` varchar(50) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `version` int(11) DEFAULT NULL,
  `deleted` tinyint(255) DEFAULT NULL,
  primary key (`id`)
) engine=innodb default charset=utf8mb4 comment='订单明细';


 -- 新人报道表
CREATE TABLE `cim_staff`  (
  `id` bigint(20) NOT NULL,
  `employee_no` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '员工编号',
  `employee_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '员工名称',
  `en_employee_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '员工英文名称',
  `mobile_no` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '手机号码',
  `email` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '电子邮件',
  `status` int(2) NULL DEFAULT NULL COMMENT '状态',
  `tab_status` int(2) NULL DEFAULT NULL COMMENT '数据状态',
  `register_date` datetime(0) NULL DEFAULT NULL COMMENT '报道日期',
  `tenantsid` bigint(20) NULL DEFAULT NULL,
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `create_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `create_date` datetime(0) NULL DEFAULT NULL,
  `modified_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `modified_date` datetime(0) NULL DEFAULT NULL,
  `version` int(11) NULL DEFAULT NULL,
  `deleted` tinyint(255) NULL DEFAULT NULL,
  `timestamp` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '人资报道表' ROW_FORMAT = Dynamic;

